@import "./lib/styles/main";

.kislov-input--wrapper {
  position: relative;
  padding: 5px;
  margin: 5px 0;
  width: 100%;

  .kislov-input {
    position: relative;
    padding: 3px;
    width: 100%;

    &--label {
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
      color: $red-basic;
      transition: all 0.3s ease-in-out;
    }

    input, textarea {
      border-radius: 10px;
      background: #fff;
      border: 1px solid $red-basic;
      outline: none;
      color: $red-basic;
      width: 100%;
      resize: none;

      &:hover {
        border-color: $red-dark;
        &~ .kislov-input--label {
          color: $red-dark;
        }
      }

      &:disabled {
        border-color: $red-disabled;
        color: $red-disabled;
      }
    }

    &.large {
      input, textarea {
        line-height: $font-x-large-size;
        padding: 10px 15px;
      }
      .kislov-input--label {
        left: 20px;
        font-size: $font-medium-size;
      }
      input:focus ~ .kislov-input--label, textarea:focus ~ .kislov-input--label, .kislov-input--label.touched {
        top: -5px;
        transform: unset;
        font-size: $font-x-small-size;
        background: $white;
        padding: 0 3px;
        font-weight: 700;
      }
    }

    &.medium {
      input, textarea {
        line-height: $font-x-large-size;
        padding: 5px 10px;
        font-size: $font-small-size;
      }
      .kislov-input--label {
        left: 15px;
        font-size: $font-small-size;
      }
      input:focus ~ .kislov-input--label, textarea:focus ~ .kislov-input--label, .kislov-input--label.touched {
        top: -5px;
        transform: unset;
        font-size: $font-x-small-size;
        background: $white;
        padding: 0 3px;
        font-weight: 700;
      }
    }

    &.small {
      input, textarea {
        line-height: $font-medium-size;
        padding: 5px 10px;
      }
      .kislov-input--label {
        left: 15px;
        font-size: $font-x-small-size;
      }
      input:focus ~ .kislov-input--label, textarea:focus ~ .kislov-input--label, .kislov-input--label.touched {
        top: -5px;
        transform: unset;
        font-size: 10px;
        background: $white;
        padding: 0 3px;
        font-weight: 700;
      }
    }
  }
}